%define name	valgrind
%define version	1.9.5
%define release	2mdk

Summary: 	Valgrind, an open-source memory debugger for x86-linux
Name: 		%{name}
Version:    1.9.6
Release:    1mdk
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	valgrind
Patch0:		valgrind-1.0.2-pthread_mutexattr_setpshared.patch.bz2
Patch1:		valgrind-1.0.4-glibc232-versions.patch.bz2
Patch2:		valgrind-1.0.4-__NR_exit_group.patch.bz2
License: 	GPL
Group: 		Development/Other
URL: 		http://devel-home.kde.org/~sewardj/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	%ix86
%define		__find_requires %{_builddir}/%{name}-%{version}/find_requires.sh

%description
When a program is run under Valgrind's supervision, all reads and
writes of memory are checked, and calls to malloc/new/free/delete are
intercepted. As a result, Valgrind can detect problems such as:

    * Use of uninitialised memory
    * Reading/writing memory after it has been free'd
    * Reading/writing off the end of malloc'd blocks
    * Reading/writing inappropriate areas on the stack
    * Memory leaks -- where pointers to malloc'd blocks are lost forever
    * Passing of uninitialised and/or unaddressible memory to system calls
    * Mismatched use of malloc/new/new [] vs free/delete/delete []


%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1 -b .pthread_mutexattr_setpshared
#%patch1 -p1 -b .glibc232-versions
#%patch2 -p1 -b .__NR_exit_group

cat > find_requires.sh << EOF
#!/bin/sh
%{_prefix}/lib/rpm/find-requires %{buildroot} %{_target_cpu} | grep -v GLIBC_PRIVATE
EOF
chmod +x find_requires.sh

%build
./configure --prefix=%_prefix 
%make

# check that we have a working executable
#./valgrind ls

%install
rm -rf $RPM_BUILD_ROOT
# Don't strip librairy ask by developer
export DONT_STRIP=1

%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README* ACKNOWLEDGEMENTS PATCHES_APPLIED TODO
%_bindir/*
%_libdir/%name

%dir %_includedir/valgrind/
%_includedir/valgrind/*.h


%dir %_docdir/valgrind/
%doc %_docdir/valgrind/*.html

%changelog
* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.6-1mdk
- 1.9.6

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.5-2mdk
- Fix spec file

* Wed Apr 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.5-1mdk
- 1.9.5

* Sat Mar  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-2mdk
- Patch2: Handle __NR_exit_group
- Patch1: Add GLIBC_2.3.2 version for vg libpthread

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Tue Oct 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Wed Sep 18 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1.1mdk
- Patch0: add pthread_mutexattr_setpshared

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre4.1mdk
- pre4

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre3.1mdk
- pre3

* Thu Jun 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre2.1mdk
- pre2

* Wed Jun 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre1.1mdk
- pre1

* Sat Jun 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020606.1mdk
- Update version

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020524.1mdk
- Update version

* Mon May 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020503b.1mdk
- Update version

* Thu May 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020430.1mdk
- Update version

* Mon Apr 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020420.2mdk
- rebuild

* Sun Apr 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020420.1mdk
-  20020420

* Wed Mar 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 0-0.20020312.1mdk
- 20020312

* Tue Feb 26 2002 Frederic Lepied <flepied@mandrakesoft.com> 0-0.20020225.1mdk
- 20020225

# end of file
